using Lada.Framework.Data.Enums;
using Lada.Framework.DTO;
using Lada.Framework.Infrastructures.Helpers;
using System.ComponentModel.DataAnnotations;

namespace Ladaer.BackEnd.Infrastructures.DTO.Items.Orders
{
    public class OrderTrackItem : BaseItem<Guid>
    {
        [MaxLength(32)]
        public string OrderCode { get; set; }
        [MaxLength(256)]
        public string Name { get; set; }
        public TrackActionType TrackActionType { get; set; }
        public string TrackActionTypeStr => TrackActionType.GetDescription();
        [MaxLength(1024)]
        public string DataBefore { get; set; }
        [MaxLength(1024)]
        public string DataAfter { get; set; }
        public OrderTrackType OrderTrackType { get; set; }
        public string OrderTrackTypeStr => OrderTrackType.GetDescription();
        public int? PicId { get; set; }
        [MaxLength(32)]
        public string PicUserName { get; set; }
        [MaxLength(1024)]
        public string PhoneContact { get; set; }
        public int OrderId { get; set; }
    }
}
